Package org.silverpeas.mobile.shared.dto

## Enum ContentsTypes

- java.lang.Object
- - java.lang.Enum<ContentsTypes>
  - - org.silverpeas.mobile.shared.dto.ContentsTypes

- All Implemented Interfaces:
    `Serializable`, `Comparable<ContentsTypes>`

      public enum ContentsTypes
      extends Enum<ContentsTypes>

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant | Description
    --- | ---
    `Album` |
    `App` |
    `Attachment` |
    `Classified` |
    `Component` |
    `Contacts` |
    `Event` |
    `Favortis` |
    `Folder` |
    `Media` |
    `News` |
    `Node` |
    `NotificationsBox` |
    `Photo` |
    `Publication` |
    `QuestionContainer` |
    `SharesBox` |
    `Sound` |
    `Space` |
    `Streaming` |
    `Tasks` |
    `Video` |
    `Webpages` |

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `static ContentsTypes` | `valueOf​(String name)` | Returns the enum constant of this type with the specified name.
    `static ContentsTypes[]` | `values()` | Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### Publication

          public static final ContentsTypes Publication

    - #### Photo

          public static final ContentsTypes Photo

    - #### Media

          public static final ContentsTypes Media

    - #### Sound

          public static final ContentsTypes Sound

    - #### Video

          public static final ContentsTypes Video

    - #### Streaming

          public static final ContentsTypes Streaming

    - #### Attachment

          public static final ContentsTypes Attachment

    - #### Tasks

          public static final ContentsTypes Tasks

    - #### Favortis

          public static final ContentsTypes Favortis

    - #### Folder

          public static final ContentsTypes Folder

    - #### Space

          public static final ContentsTypes Space

    - #### Webpages

          public static final ContentsTypes Webpages

    - #### App

          public static final ContentsTypes App

    - #### Album

          public static final ContentsTypes Album

    - #### News

          public static final ContentsTypes News

    - #### Component

          public static final ContentsTypes Component

    - #### Event

          public static final ContentsTypes Event

    - #### Contacts

          public static final ContentsTypes Contacts

    - #### Classified

          public static final ContentsTypes Classified

    - #### Node

          public static final ContentsTypes Node

    - #### QuestionContainer

          public static final ContentsTypes QuestionContainer

    - #### NotificationsBox

          public static final ContentsTypes NotificationsBox

    - #### SharesBox

          public static final ContentsTypes SharesBox

  - ### Method Detail

    - #### values

          public static ContentsTypes[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (ContentsTypes c : ContentsTypes.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static ContentsTypes valueOf​(String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `IllegalArgumentException` - if this enum type has no constant with the specified name
        `NullPointerException` - if the argument is null